Skip to content
Start here

Get Argo Smart Routing setting

argo.smart_routing.get(SmartRoutingGetParams**kwargs) -> SmartRoutingGetResponse
GET/zones/{zone_id}/argo/smart_routing

Retrieves the value of Argo Smart Routing enablement setting.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings Read
ParametersExpand Collapse
zone_id: str

Specifies the zone associated with the API call.

maxLength32
ReturnsExpand Collapse
class SmartRoutingGetResponse:
id: str

Specifies the identifier of the Argo Smart Routing setting.

editable: bool

Specifies if the setting is editable.

value: Literal["on", "off"]

Specifies the enablement value of Argo Smart Routing.

One of the following:
"on"
"off"
modified_on: Optional[datetime]

Specifies the time when the setting was last modified.

formatdate-time

Get Argo Smart Routing setting

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
smart_routing = client.argo.smart_routing.get(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(smart_routing.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}